Package commoble.infiniverse.internal

# Class ReflectionBuddy.MutableInstanceField<FIELDHOLDER,FIELDTYPE>

java.lang.Object
commoble.infiniverse.internal.ReflectionBuddy.MutableInstanceField<FIELDHOLDER,FIELDTYPE>

Enclosing class:
  ReflectionBuddy

public static class ReflectionBuddy.MutableInstanceField<FIELDHOLDER,FIELDTYPE> extends Object

## Method Summary

Modifier and Type
Method
Description
`FIELDTYPE`
`get(FIELDHOLDER instance)`
Returns the current value of the field in a given instance
`void`
`set(FIELDHOLDER instance, FIELDTYPE value)`
Sets an object's field to the given value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

public FIELDTYPE get(FIELDHOLDER instance)
Returns the current value of the field in a given instance

Parameters:
  `instance` - The object containing the instance field to get the value from
Returns:
  The value in that field

### set

public void set(FIELDHOLDER instance, FIELDTYPE value)
Sets an object's field to the given value

Parameters:
  `instance` - The object containing the instance field to set the value in
  `value` - The value to set